datablock AudioProfile(Seeker_APSESFireSound)
{
   filename    = "./fire.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(Seeker_APSESMagInSound)
{
   filename    = "./clipIn.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(Seeker_APSESMagOutSound)
{
   filename    = "./clipOut.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(Seeker_APSESUseSound)
{
   filename    = "./use.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(Seeker_APSESMagIn_emptySound)
{
   filename    = "./clipIn_e.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(Seeker_APSES_GL_UseSound)
{
   filename    = "./glUse.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(Seeker_APSES_GL_PumpSound)
{
   filename    = "./pump.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(Seeker_APSES_GL_ReloadSound)
{
   filename    = "./shellInsert.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(Seeker_APSES_GL_FireSound)
{
   filename    = "./GL_Fire.wav";
   description = AudioClose3d;
   preload = true;
};


//shell
datablock DebrisData(Seeker_APSESCasing)
{
	shapeFile = "./MA5Cshell.dts";
	lifetime = 2.0;
	minSpinSpeed = -400.0;
	maxSpinSpeed = 200.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};

//Effects
//Flash
datablock ParticleData(Seeker_APSESflashParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 25;
	lifetimeVarianceMS   = 15;
	textureName          = "./M45Flash";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.5 0.5 0.5 0.9";
	colors[1]     = "0.5 0.5 0.5 0.0";
	sizes[0]      = 0.5;
	sizes[1]      = 1.0;

	useInvAlpha = false;
};

datablock ParticleEmitterData(Seeker_APSESflashEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 1.0;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 25;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "Seeker_APSESflashParticle";

   uiName = "Seeker APSES Flash";
};

datablock ParticleData(Seeker_APSES_GLFireParticle)
{
   dragCoefficient      = 3;
   gravityCoefficient   = -1;
   inheritedVelFactor   = 1;
   constantAcceleration = 0.0;
   lifetimeMS           = 1000;
   lifetimeVarianceMS   = 500;
   textureName          = "base/data/particles/cloud";
   spinSpeed		      = 10.0;
   spinRandomMin		   = -150.0;
   spinRandomMax	   	= 150.0;
   colors[0]     = "1 0.5 0 0.4";
   colors[1]     = "1 0.2 0 0.3";
   colors[2]     = "1 0 0 0";
   sizes[0]      = 0.5;
   sizes[1]      = 0.35;
   sizes[2]      = 0.25;
	useInvAlpha = false;
};

datablock ParticleEmitterData(Seeker_APSES_GLFireEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 0.25;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "Seeker_APSES_GLFireParticle";
};

datablock DebrisData(Seeker_APSES_GLDebris)
{
   emitters = "Seeker_APSES_GLFireEmitter";

   shapeFile = "base/data/shapes/empty.dts";
   lifetime = 0.8;
   lifetimeVariance = 0.3;
   minSpinSpeed = 0;
   maxSpinSpeed = 1;
   elasticity = 0.3;
   friction = 0.2;
   numBounces = 5;
   staticOnMaxBounce = true;
   fade = true;
   gravModifier = 2;
};

datablock ParticleData(Seeker_APSES_GLTrailParticle)
{
   dragCoefficient		= 3.0;
   windCoefficient		= 0.0;
   gravityCoefficient	= 0.0;
   inheritedVelFactor	= 0.0;
   constantAcceleration	= 0.0;
   lifetimeMS		= 600;
   lifetimeVarianceMS	= 0;
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   useInvAlpha		= true;
   animateTexture		= false;
   textureName	= "base/data/particles/thinring";
   colors[0]	= "0.75 0.75 0.75 0.9";
   colors[1]	= "0.75 0.75 0.75 0.4";
   colors[2]	= "1 1 1 0.0";
   sizes[0]	= 0.15;
   sizes[1]	= 0.25;
   sizes[2]	= 0.05;
   times[0]	= 0.0;
   times[1]	= 0.1;
   times[2]	= 1.0;
};

datablock ParticleEmitterData(Seeker_APSES_GLTrailEmitter)
{
   ejectionPeriodMS = 15;
   periodVarianceMS = 0;
   ejectionVelocity = 0;
   velocityVariance = 0;
   ejectionOffset = 0;
   thetaMin         = 0.0;
   thetaMax         = 90.0;  
   particles = Seeker_APSES_GLTrailParticle;
};

datablock ParticleData(Seeker_APSES_GLExplosionParticle)
{
   dragCoefficient		= 0.4;
   windCoefficient		= 0.0;
   gravityCoefficient	= -0.5;
   inheritedVelFactor	= 0.2;
   constantAcceleration	= 0.0;
   lifetimeMS		= 100;
   lifetimeVarianceMS	= 15;
   spinSpeed		= 10;
   spinRandomMin	= -1000.0;
   spinRandomMax	= 1000.0;
   useInvAlpha		= false;
   animateTexture	= false;
   textureName	= "base/data/particles/star1";
   colors[0]	= "1 0 0 1";
   colors[1]	= "1 1 0 0";
   sizes[0]	= 25;
   sizes[1]	= 50;
};

datablock ParticleEmitterData(Seeker_APSES_GLExplosionEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;
   lifeTimeMS	   = 250;
   ejectionVelocity = 25;
   velocityVariance = 5;
   ejectionOffset   = 3;
   thetaMin         = 0;
   thetaMax         = 80;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "Seeker_APSES_GLExplosionParticle";
};

datablock ParticleData(Seeker_APSES_GLExplosionParticle2)
{
	dragCoefficient		= 3;
	windCoefficient		= 0.5;
	gravityCoefficient	= -0.1;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 2500;
	lifetimeVarianceMS	= 500;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	textureName	= "base/data/particles/cloud";

	colors[0]	= "1 0,1 0 0.8";
	colors[1]	= "1 0.5 0 0.6";
	colors[2]	= "1 0 0 0";
	sizes[0]	= 5;
	sizes[1]	= 3.5;
	sizes[2]	= 5;
};

datablock ParticleEmitterData(Seeker_APSES_GLExplosionEmitter2)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   lifetimeMS       = 150;
   ejectionVelocity = 40;
   velocityVariance = 15;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 85;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "Seeker_APSES_GLExplosionParticle2";
};

datablock ParticleData(Seeker_APSES_GLExplosionParticle3)
{
	dragCoefficient		= 1;
	windCoefficient		= 1;
	gravityCoefficient	= -0.35;
	inheritedVelFactor	= 0.2;
	constantAcceleration	= 0;
	lifetimeMS		= 2500;
	lifetimeVarianceMS	= 500;
	spinSpeed		= 10;
	spinRandomMin		= -200;
	spinRandomMax		= 200;
	useInvAlpha		= false;
	animateTexture		= false;
	textureName	= "base/data/particles/cloud";

	colors[0]	= "1 0.5 0 0.8";
	colors[1]	= "1 0.75 0 0.4";
	colors[2]	= "1 1 0 0.1";
	sizes[0]	= 5;
	sizes[1]	= 3;
	sizes[2]	= 0;
	times[0]	= 0;
	times[1]	= 0.75;
	times[2]	= 1;
};

datablock ParticleEmitterData(Seeker_APSES_GLExplosionEmitter3)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   lifetimeMS       = 100;
   ejectionVelocity = 13;
   velocityVariance = 10;
   ejectionOffset   = 1;
   thetaMin         = 0;
   thetaMax         = 87;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "Seeker_APSES_GLExplosionParticle3";
};

datablock ExplosionData(Seeker_APSES_GLExplosion)
{
   explosionShape = "Add-Ons/Weapon_Rocket_Launcher/explosionSphere1.dts";
   lifeTimeMS = 150;

   particleEmitter = Seeker_APSES_GLFireEmitter;
   particleDesnity = 300;
   particleRadius = 12;

   debris = Seeker_APSES_GLDebris;
   debrisNum = 30;
   debrisNumVariance = 5;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 90;
   debrisVelocity = 75;
   debrisVelocityVariance = 10;

   soundProfile = Seeker_APSES_GLExplosionSound;

   emitter[0] = Seeker_APSES_GLExplosionEmitter;
   emitter[1] = Seeker_APSES_GLExplosionEmitter2;
   emitter[2] = Seeker_APSES_GLExplosionEmitter3;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "7.0 8.0 7.0";
   camShakeAmp = "5.0 5.0 5.0";
   camShakeDuration = 1;
   camShakeRadius = 17;

   lightStartRadius = 100;
   lightEndRadius = 25;
   lightStartColor = "1 1 1";
   lightEndColor = "1 1 1";

   impulseRadius = 16;
   impulseForce = 5000;

   radiusDamage = 200;
   damageRadius = 15;
};


AddDamageType("Seeker APSES",   '<bitmap:add-ons/Weapon_Seeker_APSES/CI_Seeker_APSES> %1',    '%2 <bitmap:add-ons/Weapon_Seeker_APSES/CI_Seeker_APSES> %1',0.2,1);
datablock ProjectileData(Seeker_APSESProjectile)
{
   projectileShapeName = "./bullet.dts";
   directDamage        = 35;
   directDamageType    = $DamageType::Seeker_APSES;
   radiusDamageType    = $DamageType::Seeker_APSES;

   brickExplosionRadius = 2;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 1;
   brickExplosionMaxVolume = 1;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 2;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse	     = 25;
   verticalImpulse	  = 0;
   explosion           = gunExplosion;

   muzzleVelocity      = 200;
   velInheritFactor    = 1;

   armingDelay         = 00;
   lifetime            = 4000;
   fadeDelay           = 3500;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = true;
   gravityMod = 0;

   hasLight    = true;
   lightRadius = 5.0;
   lightColor  = "0.5 0.5 0";

   uiName = "Seeker APSES Bullet";
};


//projectile
AddDamageType("GrenadeDirect",'<bitmap:add-ons/Weapon_M41A/CI_Seeker_APSES_GLDirect> %1','%2 <bitmap:add-ons/Weapon_G36C/CI_Seeker_APSES_GLRadius> %1',1.5,0);
AddDamageType("GrenadeRadius",'<bitmap:add-ons/Weapon_M41A/CI_Seeker_APSES_GLRadius> %1','%2 <bitmap:add-ons/Weapon_G36C/CI_Seeker_APSES_GLRadius> %1',1.5,0);

datablock ProjectileData(Seeker_APSES_GLProjectile)
{
   projectileShapeName = "./Grenade.dts";
   directDamage        = 15;
   directDamageType  = $DamageType::GrenadeDirect;
   radiusDamageType  = $DamageType::GrenadeRadius;
   impactImpulse	   = 150;
   verticalImpulse	 = 100;
   explosion           = Seeker_APSES_GLExplosion;
   particleEmitter     = Seeker_APSES_GLTrailEmitter;

   brickExplosionRadius = 5;
   brickExplosionImpact = false; 
   brickExplosionForce  = 30;
   brickExplosionMaxVolume = 25;
   brickExplosionMaxVolumeFloating = 40;

   muzzleVelocity      = 75;
   velInheritFactor    = 1;

   armingDelay         = 250;
   lifetime            = 5000;
   fadeDelay           = 5000;
   bounceElasticity    = 0.55;
   bounceFriction      = 0;
   isBallistic         = true;
   gravityMod = 1;
   explodeOnDeath = true;

   hasLight    = false;
   
   uiName = "Seeker APSES Grenade";
};



//////////
// item //
//////////
datablock ItemData(Seeker_APSESItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./Seeker APSES Ground.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Seeker APSES";
	iconName = "./UI_Seeker_APSES";
	doColorShift = true;
	colorShiftColor = "0.5 0.5 0.5 1.000";

	 // Dynamic properties defined by the scripts
	image = Seeker_APSESImage;
	canDrop = true;

	maxAmmo = 60;
	canReload = 1;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(Seeker_APSESImage)
{
   // Basic Item properties
   shapeFile = "./Seeker APSES.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5"; -Left +Right, -Back +Front, -Down +Up
   rotation = eulerToMatrix( "0 0 0" );

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = Seeker_APSESItem;
   ammo = " ";
   projectile = Seeker_APSESProjectile;
   projectileType = Projectile;

	casing = Seeker_APSESCasing;
	shellExitDir        = "2.0 -1.3 1.0";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 25.0;	
	shellVelocity       = 10.0;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   doColorShift = true;
   colorShiftColor = Seeker_APSESItem.colorShiftColor;//"0.400 0.196 0 1.000";

   //casing = " ";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.
   // Initial start up state
	stateName[0]                     	= "Activate";
	stateTimeoutValue[0]             	= 0.53;
	stateTransitionOnTimeout[0]       	= "LoadCheckA";
	stateSound[0]				= Seeker_APSESUseSound;
	stateSequence[0]			= "use";

	stateName[1]                     	= "Ready";
	stateTransitionOnNoAmmo[1]       	= "Reload";
	stateTransitionOnTriggerDown[1]  	= "Fire";
	stateAllowImageChange[1]         	= true;

	stateName[2]                    	= "Fire";
	stateTransitionOnTimeout[2]     	= "Delay";
	stateTimeoutValue[2]            	= 0.05;
	stateFire[2]                    	= true;
	stateAllowImageChange[2]        	= false;
	stateSequence[2]                	= "fire";
	stateScript[2]                  	= "onFire";
	stateEjectShell[2]       	  	= true;
	stateEmitter[2]				= Seeker_APSESFlashEmitter;
	stateEmitterTime[2]			= 0.04;
	stateEmitterNode[2]			= "muzzleNode";
	stateWaitForTimeout[2]			= true;
	stateSound[2]				= Seeker_APSESFireSound;

	stateName[7]				= "Delay";
	stateTransitionOnTimeout[7]     	= "FireLoadCheckA";
	stateTimeoutValue[7]            	= 0.01;
	stateEmitter[7]				= gunSmokeEmitter;
	stateEmitterTime[7]			= 0.001;
	stateEmitterNode[7]			= "muzzleNode";
	
	stateName[8]				= "LoadCheckA";
	stateScript[8]				= "onLoadCheck";
	stateTimeoutValue[8]			= 0.01;
	stateTransitionOnTimeout[8]		= "LoadCheckB";
	
	stateName[9]				= "LoadCheckB";
	stateTransitionOnAmmo[9]		= "Ready";
	stateTransitionOnNoAmmo[9]		= "Reload2";

	stateName[10]				= "Reload";
	stateTimeoutValue[10]			= 0.76;
	stateScript[10]				= "onReloadStart";
	stateTransitionOnTimeout[10]		= "Wait";
	stateWaitForTimeout[10]			= true;
	stateSequence[10]			= "clipOut";
	stateSound[10]				= Seeker_APSESMagOutSound;
	
	stateName[11]				= "Wait";
	stateTimeoutValue[11]			= 1;
	stateSound[11]				= Seeker_APSESMagInSound;
	stateScript[11]				= "onReloadWait";
	stateSequence[11]			= "clipIn";
	stateTransitionOnTimeout[11]		= "Reloaded";
	
	stateName[12]				= "FireLoadCheckA";
	stateScript[12]				= "onLoadCheck";
	stateTimeoutValue[12]			= 0.01;
	stateTransitionOnTimeout[12]		= "FireLoadCheckB";
	
	stateName[13]				= "FireLoadCheckB";
	stateTransitionOnAmmo[13]		= "Smoke";
	stateTransitionOnNoAmmo[13]		= "ReloadSmoke";
	
	stateName[14] 				= "Smoke";
	stateEmitter[14]			= gunSmokeEmitter;
	stateEmitterTime[14]			= 0.001;
	stateEmitterNode[14]			= "muzzleNode";
	stateTimeoutValue[14]			= 0.001;
	stateTransitionOnTimeout[14]		= "Ready";
	stateTransitionOnTriggerDown[14]	= "Fire";
	
	stateName[15] 				= "ReloadSmoke";
	stateEmitter[15]			= gunSmokeEmitter;
	stateEmitterTime[15]			= 0.001;
	stateEmitterNode[15]			= "muzzleNode";
	stateTimeoutValue[15]			= 0.001;
	stateTransitionOnTimeout[15]		= "Reload2";
	
	stateName[16]				= "Reloaded";
	stateTimeoutValue[16]			= 0.01;
	stateScript[16]				= "onReloaded";
	stateTransitionOnTimeout[16]		= "Ready";

//empty reload states
	stateName[17]				= "Reload2";
	stateTimeoutValue[17]			= 0.56;
	stateScript[17]				= "onReloadStart";
	stateTransitionOnTimeout[17]		= "Wait2";
	stateWaitForTimeout[17]			= true;
	stateSequence[17]			= "clipOut_e";
	stateSound[17]				= Seeker_APSESMagOutSound;
	
	stateName[18]				= "Wait2";
	stateTimeoutValue[18]			= 1;
	stateSound[18]				= Seeker_APSESMagIn_emptySound;
	stateScript[18]				= "onReloadWait";
	stateSequence[18]			= "clipIn_e";
	stateTransitionOnTimeout[18]		= "Reloaded";
	
	stateName[19]				= "Reloaded2";
	stateTimeoutValue[19]			= 0.01;
	stateScript[19]				= "onReloaded";
	stateTransitionOnTimeout[19]		= "Ready";
};


datablock ShapeBaseImageData(Seeker_APSES_GLImage)
{
   // Basic Item properties
   shapeFile = "./Seeker APSES.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5"; -Left +Right, -Back +Front, -Down +Up
   rotation = eulerToMatrix( "0 0 0" );

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = Seeker_APSES_GLItem;
   ammo = " ";
   projectile = Seeker_APSES_GLProjectile;
   projectileType = Projectile;

	casing = "";
	shellExitDir        = "2.0 -1.3 1.0";
	shellExitOffset     = "0 0 0";
	shellExitVariance   = 25.0;	
	shellVelocity       = 10.0;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   doColorShift = true;
   colorShiftColor = Seeker_APSES_GLItem.colorShiftColor;//"0.400 0.196 0 1.000";

   //casing = " ";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.
   // Initial start up state
	stateName[0]                     	= "Activate";
	stateTimeoutValue[0]             	= 0.53;
	stateTransitionOnTimeout[0]       	= "Ready";
	stateSound[0]				= Seeker_APSES_GL_UseSound;
	stateSequence[0]			= "glUse";

	stateName[1]                     	= "Ready";
	stateTransitionOnNoAmmo[1]       	= "Reload";
	stateTransitionOnTriggerDown[1]  	= "Fire";
	stateAllowImageChange[1]         	= true;

	stateName[2]                    	= "Fire";
	stateTransitionOnTimeout[2]     	= "Delay";
	stateTimeoutValue[2]            	= 0.05;
	stateFire[2]                    	= true;
	stateAllowImageChange[2]        	= false;
	stateSequence[2]                	= "glFire";
	stateScript[2]                  	= "onFire";
	stateEjectShell[2]       	  	= true;
	stateEmitter[2]				= gunSmokeEmitter;
	stateEmitterTime[2]			= 0.04;
	stateEmitterNode[2]			= "muzzleNode";
	stateWaitForTimeout[2]			= true;
	stateSound[2]				= Seeker_APSES_GL_FireSound;

	stateName[7]				= "Delay";
	stateTransitionOnTimeout[7]     	= "Reload";
	stateTimeoutValue[7]            	= 0.01;
	stateEmitter[7]				= gunSmokeEmitter;
	stateEmitterTime[7]			= 0.001;
	stateEmitterNode[7]			= "muzzleNode";

	stateName[10]				= "Reload";
	stateTimeoutValue[10]			= 0.76;
	stateTransitionOnTimeout[10]		= "Ready";
	stateWaitForTimeout[10]			= true;
	stateSequence[10]			= "shellInsert";
	stateSound[10]				= Seeker_APSES_GL_ReloadSound;
};




//mainBarrel
function Seeker_APSESImage::onFire(%this,%obj,%slot)
{
	%projectile = Seeker_APSESProjectile;

	if(vectorLen(%obj.getVelocity()) < 0.1)
	{
		%spread = 0.0001;
	}
	else
	{
		%spread = 0.0002;
	}
	
	%obj.lastShotTime = getSimTime();
	%shellcount = 1;

	%shellcount = 1;
	%obj.toolAmmo[%obj.currTool]--;

	for(%shell=0; %shell<%shellcount; %shell++)
	{
		%vector = %obj.getMuzzleVector(%slot);
		%objectVelocity = %obj.getVelocity();
		%vector1 = VectorScale(%vector, %projectile.muzzleVelocity);
		%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
		%velocity = VectorAdd(%vector1,%vector2);
		%x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
		%y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
		%z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
		%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
		%velocity = MatrixMulVector(%mat, %velocity);

		%p = new (%this.projectileType)()
		{
			dataBlock = %projectile;
			initialVelocity = %velocity;
			initialPosition = %obj.getMuzzlePoint(%slot);
			sourceObject = %obj;
			sourceSlot = %slot;
			client = %obj.client;
		};
		MissionCleanup.add(%p);
	}
	return %p;
}

function Seeker_APSESImage::onLoadCheck(%this,%obj,%slot)
{
	if(%obj.toolAmmo[%obj.currTool] <= 0)
		%obj.setImageAmmo(%slot,0);
	else
		%obj.setImageAmmo(%slot,1);
}

function Seeker_APSESImage::onReloadStart(%this,%obj,%slot)
{
	%obj.toolAmmo[%obj.currTool] = 0;
}

function Seeker_APSESImage::onReloaded(%this,%obj,%slot)
{
	%obj.toolAmmo[%obj.currTool] = 60;
	%obj.setImageAmmo(%slot,1);
}

function Seeker_APSESImage::onMount(%this,%obj,%slot)
{
  parent::onMount(%this,%obj,%slot);
  if(%obj.getMountedImage(1).getName() $= "Seeker_APSESBackImage") { %obj.unMountImage(1); }
  
  %obj.hidenode("RHand");
        %obj.hidenode("LHand");
}

function Seeker_APSESImage::onUnMount(%this,%obj,%slot)
{
  parent::onUnMount(%this,%obj,%slot);
  %obj.unMountImage(1);
  %obj.mountImage(Seeker_APSESBackImage,1);
  
  %obj.unhidenode("RHand");
        %obj.unhidenode("LHand");
}

function Seeker_APSES_GLImage::onMount(%this,%obj,%slot)
{
  parent::onMount(%this,%obj,%slot);
  if(%obj.getMountedImage(1).getName() $= "Seeker_APSESBackImage") { %obj.unMountImage(1); }
  
  %obj.hidenode("RHand");
        %obj.hidenode("LHand");
}

function Seeker_APSES_GLImage::onUnMount(%this,%obj,%slot)
{
  parent::onUnMount(%this,%obj,%slot);
  %obj.unMountImage(1);
  %obj.mountImage(Seeker_APSESBackImage,1);
  
  %obj.unhidenode("RHand");
        %obj.unhidenode("LHand");
}

function Seeker_APSESItem::onPickup(%this,%obj,%col,%a)
{
  for(%i=0;%i<%col.getdatablock().maxTools;%i++)
  {
    %item = %col.tool[%i];
    if(%item $= 0 || %item $= "")
    {
      %freeSlot = 1;
      break;
    }
  }
  if(%obj.canpickup && !isobject(%col.getmountedimage(1)) && %freeSlot) { %col.mountimage(Seeker_APSESBackImage,1); }
  parent::onPickup(%this,%obj,%col,%a);
}

package Seeker_APSESPackage
{
  function servercmdDropTool(%this,%slot)
  {
    if(isobject(%this.player.tool[%slot]) && %this.player.tool[%slot].getname() $= "Seeker_APSESItem")
    {
      parent::servercmdDropTool(%this,%slot);
      if(isobject(%this.player.getmountedimage(1)) && %this.player.getmountedimage(1).getname() $= "Seeker_APSESBackImage") { %this.player.schedule(5,unmountimage,1); }
      return;
    }
    parent::servercmdDropTool(%this,%slot);
  }
};
activatepackage(Seeker_APSESPackage);


package imageSwitch
{
	function Armor::onTrigger(%this,%obj,%slot,%val)
	{
		Parent::onTrigger(%this,%obj,%slot,%val);
		if(%slot == 4 && %val)
		{
			if(%obj.getMountedImage(0) == Seeker_APSESImage.getID())
			{
				%obj.updateArm(Seeker_APSES_GLImage);
				%obj.mountImage(Seeker_APSES_GLImage,0);
			}
			else if(%obj.getMountedImage(0) == Seeker_APSES_GLImage.getID())
			{
				%obj.updateArm(Seeker_APSES_GLImage);
				%obj.mountImage(Seeker_APSESImage,0);
			}
		}
	}
};
activatePackage(imageSwitch);
